﻿
	// OSHelper_openURL_v1.0
	// created by Paul Tuersley
	// Apr 2017
	
	// This script functions as a helper script for use with pt_OpenSesame and pt_OpenSesame Server only.

	function OSHelperScript_Setup() {
		// This function will be called by pt_OpenSesame when exporting the helper script options
		// Set up any user editable options you want included in the export, including any default values
		//if (OSHelperScript_Data.JSON) {} // Use this to query if OpenSesame is exporting JSON format. Values must be strings for TSV, CSV export but you can set up arrays for JSON exports
		
		OSHelperScript_Data.PostRender = true;	// By default a helper script is exported as being applied before a render. Use this to default it to being used as a post render script.
		OSHelperScript_Data.URL = "http://";
	}


	function OSHelperScript_Run() {
		
		if (OSHelperScript_Data.URL == undefined || OSHelperScript_Data.URL == "http://" || OSHelperScript_Data.URL == "") {
			// Use OSHelperScript_Data.Message to store a string only, containing any message you want OpenSesame to add to the log file. Including the word "error" will cause it to be flagged as such by OpenSesame.
			OSHelperScript_Data.Message = "No URL specified";
			return;
		}
		
		var winProgramFiles = Folder.commonFiles.parent.fsName;
		var winBrowserCmd = ($.os.indexOf("XP") != -1) ? "\""+ winProgramFiles + "\\Internet Explorer\\iexplore.exe\" " : "start ";
		var macBrowserCmdStart = "open \"";
		var macBrowserCmdEnd = "\"";
		
		if ($.os.indexOf("Windows") != -1) system.callSystem("cmd /c \""+ winBrowserCmd + OSHelperScript_Data.URL+ "\"");
		else system.callSystem(macBrowserCmdStart + OSHelperScript_Data.URL + macBrowserCmdEnd);
		
		// send completion message for log file
		OSHelperScript_Data.Message = "Opened URL: " + OSHelperScript_Data.URL;
	}
		
		
		
					
				
				